import { atom } from "jotai/index";
import { ApiRespons, DataStatus } from "../../api/api";
import { FriksjonBeregningDto, FriksjonBeregningMetadataDto } from "./useHentFriksjonsanalyser";
import { ForsinkelseDto, Hendelser } from "../forsinkelseSide/useHentForsinkelsesdata";

export const aggregertFriksjonsAtom = atom<DataStatus<FriksjonBeregningDto> | undefined>(undefined);
export const friksjonsanalyseMetadataAtom = atom<FriksjonBeregningMetadataDto[] | undefined>(
    undefined,
);

const detaljerteHendelserRespons = atom<ApiRespons<ForsinkelseDto> | undefined>(undefined);

export const detaljerteHendelserResponsAtom = atom(
    (get) => get(detaljerteHendelserRespons),
    (get, set, update: ApiRespons<ForsinkelseDto> | undefined) => {
        set(detaljerteHendelserRespons, update);
        if (update?.suksess) {
            set(filtrerteHendelserAtom, update.data.hendelser);
            set(detaljerteHendelserAtom, update.data.hendelser);
        }
    },
);

export const detaljerteHendelserAtom = atom<Hendelser[]>([]);
export const filtrerteHendelserAtom = atom<Hendelser[]>([]);
