import { Analyseside, analysesideInfo } from "../analyseSider";
import { TilbakeLenke } from "./fellesKomponenter/TilbakeLenke";
import { Heading } from "../../components/fellesKomponenter/typografi/Heading";
import styled from "styled-components";

export interface AnalyseSideHeaderProps {
    side: Analyseside;
}
export const AnalyseSideHeader = ({ side }: AnalyseSideHeaderProps) => {
    const tittel = analysesideInfo[side].navn;

    return (
        <Container>
            <TilbakeLenke />
            <TittelWrapper>
                <Heading as={"h1"} styleLevel={"3"}>
                    {tittel}
                </Heading>
            </TittelWrapper>
        </Container>
    );
};

const Container = styled.div`
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    margin: 16px 24px;
`;

const TittelWrapper = styled.div`
    margin: auto;
`;
