import { transportKorridorer } from "../../forsinkelseSide/useHentTransportKorridorerGeometri";
import { Trekkspill } from "../../../components/fellesKomponenter/trekkspill/Trekkspill";
import React from "react";
import styled from "styled-components";
import {
    fontsizeLargeScreen,
    fontsizeSmallScreen,
} from "../../../components/fellesKomponenter/typografi/TekstStyles";
import { breakpointNettbrett } from "../../../utils/constants";

interface TransportKorridorerTrekkspillProps {
    erTrekkspillÅpen: boolean;
    setErTrekkspillÅpen: (erTrekkspillÅpen: boolean) => void;
    håndterTrekkspillKnappKlikk: (korridor: any) => void;
}

export const TransportKorridorerTrekkspill = ({
    erTrekkspillÅpen,
    setErTrekkspillÅpen,
    håndterTrekkspillKnappKlikk,
}: TransportKorridorerTrekkspillProps) => (
    <Trekkspill
        åpen={erTrekkspillÅpen}
        tittel={"Transportkorridorer"}
        type={"Ramme"}
        onClick={() => setErTrekkspillÅpen(!erTrekkspillÅpen)}
    >
        {transportKorridorer.map((korridor, index) => (
            <VelgElementKnapp key={index} onClick={() => håndterTrekkspillKnappKlikk(korridor)}>
                {korridor.navn}
            </VelgElementKnapp>
        ))}
    </Trekkspill>
);

const VelgElementKnapp = styled.button`
    background-color: #fff;
    border: none;
    cursor: pointer;
    ${fontsizeLargeScreen};
    padding: 4px 8px 4px 8px;
    text-align: left;
    width: 100%;

    &:hover {
        background-color: #f2f2f2;
        font-weight: 600;
    }

    @media (max-width: ${breakpointNettbrett}) {
        ${fontsizeSmallScreen};
    }
`;
