import { TooltipProps } from "recharts";
import { NameType, ValueType } from "recharts/types/component/DefaultTooltipContent";
import styled from "styled-components";
import React from "react";
import { Tidsenhet } from "./BarplotForsinkelse";

interface BarplotTooltip extends TooltipProps<ValueType, NameType> {
    tidsenhet: Tidsenhet;
}

export const BarplotTooltip = ({ active, label, payload, tidsenhet }: BarplotTooltip) => {
    if (active && payload && payload.length) {
        return (
            <TooltipContainer>
                <>
                    <p>{`${tidsenhet}: ${label}`}</p>
                    <p>{`Forsinkelse: ${payload[0].payload.forsinkelse} år`}</p>
                </>
            </TooltipContainer>
        );
    }
    return null;
};

const TooltipContainer = styled.div`
    background-color: white;
    border: 1px solid black;
    padding: 10px;

    p {
        color: var(--gray-dark);
        margin: 0;
    }
`;
