import styled from "styled-components";
import { Tekst } from "../../components/fellesKomponenter/typografi/Tekst";
import { Radioknapp } from "../../components/fellesKomponenter/radioknapper/Radioknapp";
import React from "react";
import { Tidsenhet } from "./BarplotForsinkelse";

export const BarplotValg = ({
    tidsenhet,
    setTidsenhet,
}: {
    tidsenhet: Tidsenhet;
    setTidsenhet: (tidsenhet: Tidsenhet) => void;
}) => {
    return (
        <ColumnWrapperValg>
            <Tekst bold={true} noMargin={true} størrelse={"M"}>
                Velg tidsenhet for aggregering i barplotet
            </Tekst>
            <Radioknapp
                key={"barplotdato"}
                value={"barplotdato"}
                checked={tidsenhet === Tidsenhet.Dato}
                name={"barplotforsinkelse"}
                onChange={() => setTidsenhet(Tidsenhet.Dato)}
                størrelse={"S"}
                tekstStørrelse={"M"}
            >
                Dato
            </Radioknapp>
            <Radioknapp
                key={"barplotmåned"}
                value={"barplotmåned"}
                checked={tidsenhet === Tidsenhet.Måned}
                name={"barplotforsinkelse"}
                onChange={() => setTidsenhet(Tidsenhet.Måned)}
                størrelse={"S"}
                tekstStørrelse={"M"}
            >
                Måned
            </Radioknapp>
        </ColumnWrapperValg>
    );
};

export const ColumnWrapperValg = styled.div`
    display: flex;
    flex-direction: column;
    gap: 10px;
`;
