import styled from "styled-components";
import React from "react";
import { PIECHART_COLORS } from "../utils/piechartUtils";

export const PieChartLegend = ({ size = "L" }: { size?: string }) => {
    return (
        <LegendContainer>
            <LegendItem color={PIECHART_COLORS[0]} size={size}>
                Ingen
            </LegendItem>
            <LegendItem color={PIECHART_COLORS[1]} size={size}>
                Liten
            </LegendItem>
            <LegendItem color={PIECHART_COLORS[2]} size={size}>
                Medium
            </LegendItem>
            <LegendItem color={PIECHART_COLORS[3]} size={size}>
                Stor
            </LegendItem>
        </LegendContainer>
    );
};

export const LegendContainer = styled.span`
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    background-color: white;
    justify-content: left;
    position: relative;
    z-index: 6000;
`;

export const LegendItem = styled.p<{ color: string; size: string }>`
    display: flex;
    margin: 0 10px;
    color: ${(props) => props.color};
    font-size: ${(props) => (props.size === "L" ? "1rem" : "0.8rem")};

    &:before {
        content: "";
        height: ${(props) => (props.size === "L" ? "12px" : "10px")};
        width: ${(props) => (props.size === "L" ? "12px" : "10px")};
        margin-bottom: 8px;
        margin-top: 4px;
        background-color: ${(props) => props.color};
        margin-right: 6px;
    }
`;
