import { TooltipProps } from "recharts";
import { NameType, ValueType } from "recharts/types/component/DefaultTooltipContent";
import styled from "styled-components";
import React from "react";
import { Tekst } from "../../components/fellesKomponenter/typografi/Tekst";

export const PieChartTooltip = ({ active, payload }: TooltipProps<ValueType, NameType>) => {
    if (active && payload && payload.length) {
        const visUsikkerhet = payload[0].name !== "Totalt antall" ? "usikkerhet" : "";

        return (
            <TooltipContainer>
                <Tekst
                    noMargin={true}
                    størrelse={"S"}
                >{`${payload[0].name} ${visUsikkerhet}: ${payload[0].value} `}</Tekst>
            </TooltipContainer>
        );
    }
    return null;
};

const TooltipContainer = styled.div`
    background-color: white;
    border: 1px solid black;
    padding: 10px;
`;
