import React from "react";
import { InfoKort } from "./InfoKort";
import styled from "styled-components";
import { FokusTall } from "../components/fellesKomponenter/FokusTall";
import { FokusTekst } from "../components/fellesKomponenter/FokusTekst";
import { formaterTall, timerTilDager, timerTilÅr } from "./utils";

interface ForsinkelseKortProps {
    timerForsinkelse: number;
}

export const ForsinkelseKort = ({ timerForsinkelse }: ForsinkelseKortProps) => (
    <InfoKort>
        <GridView>
            <div>
                <p>
                    <FokusTall>{formaterTall(timerForsinkelse)}</FokusTall>{" "}
                    <FokusTekst>timer</FokusTekst>
                </p>
                <p>
                    <FokusTall>{formaterTall(timerTilDager(timerForsinkelse))}</FokusTall>{" "}
                    <FokusTekst>dager</FokusTekst>
                </p>
                <p>
                    <FokusTall>{formaterTall(timerTilÅr(timerForsinkelse))}</FokusTall>{" "}
                    <FokusTekst>år</FokusTekst>
                </p>
            </div>

            <div>
                <p>Forsinkelse som følge av planlagt vegarbeid på norske veier.</p>
                <p>
                    Forsinkelsen er estimert basert på trafikkmeldingene for perioden. For hver
                    trafikkmelding beregner en algoritme et estimat for forsinkelsen.
                </p>
            </div>
        </GridView>
    </InfoKort>
);

const GridView = styled.div`
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1rem;
`;
