import React from "react";
import { InfoKort } from "./InfoKort";
import { FokusTall } from "../components/fellesKomponenter/FokusTall";
import { FokusTekst } from "../components/fellesKomponenter/FokusTekst";
import { formaterTall } from "./utils";

interface KostnadKortProps {
    kostnadKr: number;
}

export const KostnadKort = ({ kostnadKr }: KostnadKortProps) => (
    <InfoKort>
        <h3>Kostnader</h3>
        <p>
            Kostnader som følge av forsinkelse ved planlagt vegarbeid på norske veier. Kostnadene er
            estimert ved å analysere forsinkelsen i sammenheng med trafikkmengde, tidspunkt og
            trafikktype for de aktuelle periodene og vegstrekkene.
        </p>
        <p>
            <FokusTall>{formaterTall(kostnadKr)}</FokusTall> <FokusTekst>kroner</FokusTekst>
        </p>
    </InfoKort>
);
