import { flippLatLngKoordinater } from "./transportKorridorerKartUtils";

describe("flipCoordinates", () => {
    it("skal flippe koordinater for LINESTRING", () => {
        const input = "LINESTRING(30 10 , 10 30 , 40 40 , 20 50)";
        const expected = "LINESTRING(10 30 , 30 10 , 40 40 , 50 20)";
        expect(flippLatLngKoordinater(input)).toBe(expected);
    });

    it("skal flippe koordinater for MULTILINESTRING", () => {
        const input = "MULTILINESTRING((10 10 , 20 20), (15 15 , 30 15))";
        const expected = "MULTILINESTRING((10 10 , 20 20) , (15 15 , 15 30))";
        expect(flippLatLngKoordinater(input)).toBe(expected);
    });

    it("skal rutnere tom streng for ugyldig LINESTRING format", () => {
        const input = "LINESTRING(30 10 , 10 30 , 40)";
        expect(flippLatLngKoordinater(input)).toBe("");
    });

    it("skal returnere tom streng for ugyldig MULTILINESTRING format", () => {
        const input = "MULTILINESTRING((10 10 , 20 20), (15 15 , 30))";
        expect(flippLatLngKoordinater(input)).toBe("");
    });

    it("skal retunere tom streng for ukjent koordinat type", () => {
        const input = "POLYGON((30 10 , 10 30 , 40 40))";
        expect(flippLatLngKoordinater(input)).toBe("");
    });
});
