import { Feature } from "geojson";
import * as L from "leaflet";
import { RiksvegruterDetaljerDto } from "../api/useHentRiksvegruterDetaljer";
import { Proj4GeoJSONFeature } from "proj4leaflet";

export const punktTilLayer = (feature: Feature, latlng: L.LatLng) => {
    return L.circleMarker(latlng, {
        radius: 1,
        color: "#oange",
        fillColor: "orange",
        fillOpacity: 1,
    });
};

export const onEachFeature = (
    feature: Feature,
    layer: any,
    aktivHendelse: string | undefined,
    hoverHendelse: string | undefined,
) => {
    if (feature.properties?.hendelseId === aktivHendelse) {
        layer.setStyle({ color: "#ff3232", weight: 13 });
    } else if (feature.properties?.hendelseId === hoverHendelse) {
        layer.setStyle({ color: "#ff6666", weight: 13 });
    } else {
        layer.setStyle({ color: "orange", weight: 5 });
    }
};

export const riksvegruterDetaljerTilFeature = (
    riksvegruterDetaljer: RiksvegruterDetaljerDto,
): Proj4GeoJSONFeature => {
    return {
        type: "Feature",
        properties: {
            hendelseId: riksvegruterDetaljer.id,
        },
        geometry: riksvegruterDetaljer.geografi,
    };
};
