import { Datofelt } from "../../components/fellesKomponenter/inputfelt/Datofelt";
import { KnappPrimær } from "../../components/fellesKomponenter/knapper/KnappPrimær";
import { TransportKorridorerTrekkspill } from "../components/fellesKomponenter/TransportKorridorerTrekkspill";
import React, { useState } from "react";
import styled from "styled-components";
import { TransportKorridor } from "../forsinkelseSide/useHentTransportKorridorerGeometri";
import { Dayjs } from "dayjs";

interface RiksvegruterDetaljerParameterVelgerProps {
    fraDato: Dayjs;
    setFraDato: (dato: Dayjs) => void;
    tilDato: Dayjs;
    setTilDato: (dato: Dayjs) => void;
    setTransportKorridor: (korridor: TransportKorridor) => void;
}

export const RiksvegruterDetaljerParameterVelger = ({
    fraDato,
    tilDato,
    setFraDato,
    setTilDato,
    setTransportKorridor,
}: RiksvegruterDetaljerParameterVelgerProps) => {
    const [lokalFraDato, setlokalFraDato] = useState(fraDato);
    const [lokalTilDato, setlokalTilDato] = useState(tilDato);
    const [erTrekkspillÅpen, setErTrekkspillÅpen] = useState(false);

    const handleSubmit = (e: React.FormEvent<HTMLFormElement>) => {
        e.preventDefault();
        setFraDato(lokalFraDato);
        setTilDato(lokalTilDato);
    };

    const håndterTrekkspillKnappKlikk = (transportKorridor: TransportKorridor) => {
        setErTrekkspillÅpen(false);
        setTransportKorridor(transportKorridor);
    };

    return (
        <ParameterVelger>
            <StyledForm onSubmit={handleSubmit}>
                <Datofelt dato={fraDato} setDato={setlokalFraDato} tittel={"Fra dato"} />
                <Datofelt dato={tilDato} setDato={setlokalTilDato} tittel={"Til dato"} />
                <KnappPrimær type="submit" size="Small">
                    Hent data
                </KnappPrimær>
            </StyledForm>{" "}
            <TransportKorridorerTrekkspill
                erTrekkspillÅpen={erTrekkspillÅpen}
                setErTrekkspillÅpen={setErTrekkspillÅpen}
                håndterTrekkspillKnappKlikk={håndterTrekkspillKnappKlikk}
            />
        </ParameterVelger>
    );
};

const ParameterVelger = styled.div`
    display: flex;
    flex-direction: row;
    gap: 1rem;
    flex-wrap: wrap;
    align-items: end;
    justify-content: space-between;
    margin-bottom: 1rem;
`;

const StyledForm = styled.form`
    display: flex;
    flex-direction: row;
    gap: 1rem;
    flex-wrap: wrap;
    align-items: end;
`;
