import { RiksvegruterDetaljerDto } from "../api/useHentRiksvegruterDetaljer";
import { Dayjs } from "dayjs";

export const finnForsinkelseITidsperiode = (
    riksvegruterDetaljer: RiksvegruterDetaljerDto,
    fraDato: Dayjs,
    tilDato: Dayjs,
) => {
    let totalForsinkelseTimer = 0;
    for (let dato = fraDato; dato.isBefore(tilDato.add(1, "day")); dato = dato.add(1, "day")) {
        totalForsinkelseTimer +=
            riksvegruterDetaljer.forsinkelsePerDato[dato.format("YYYY-MM-DD")] || 0;
    }
    return totalForsinkelseTimer;
};

export const finnKostnadITidsperiode = (
    riksvegruterDetaljer: RiksvegruterDetaljerDto,
    fraDato: Dayjs,
    tilDato: Dayjs,
) => {
    let totalKostnad = 0;
    for (let dato = fraDato; dato.isBefore(tilDato.add(1, "day")); dato = dato.add(1, "day")) {
        totalKostnad += riksvegruterDetaljer.kostnadPerDato[dato.format("YYYY-MM-DD")] || 0;
    }
    return totalKostnad;
};
