import { UsikkerhetAntall } from "../forsinkelseSide/useHentForsinkelsesdata";
import React from "react";

export const PIECHART_COLORS = ["#4CB140", "#F4C145", "#EC7A08", "#A30000"];

export const usikkerhetsdataTilStatistikkdata = (usikkerhet: UsikkerhetAntall) => {
    return [
        { name: "Ingen", value: usikkerhet.ingen },
        { name: "Liten", value: usikkerhet.liten },
        { name: "Medium", value: usikkerhet.medium },
        { name: "Stor", value: usikkerhet.stor },
    ];
};

const RADIAN = Math.PI / 180;
export const renderCustomizedLabelDetailedOuter = ({
    cx,
    cy,
    midAngle,
    innerRadius,
    outerRadius,
    percent,
    fill,
    chartIndex,
    pieIndex,
    index,
    key,
}: any) => {
    const sin = Math.sin(-RADIAN * midAngle);
    const cos = Math.cos(-RADIAN * midAngle);
    const sx = cx + outerRadius * cos;
    const sy = cy + outerRadius * sin;
    const mx = cx + (outerRadius + 10) * cos;
    const my = cy + (outerRadius + 10) * sin;
    const ex = mx + (cos >= 0 ? 1 : -1) * 16;
    const ey = my;
    const textAnchor = cos >= 0 ? "start" : "end";

    const prosent = (percent * 100).toFixed(0);
    const prosentTekst = prosent === "0" ? undefined : `${prosent}%`;

    return (
        <g key={index + chartIndex + pieIndex}>
            {prosentTekst !== undefined && (
                <>
                    <path d={`M${sx},${sy}L${mx},${my}L${ex},${ey}`} stroke={fill} fill={"none"} />
                    <circle cx={ex} cy={ey} r={2} fill={fill} stroke="none" />
                    <text
                        x={ex + (cos >= 0 ? 1 : -1) * 12}
                        y={ey}
                        textAnchor={textAnchor}
                        fill="#333"
                        fontSize={12}
                    >
                        {prosentTekst}
                    </text>
                </>
            )}
        </g>
    );
};
export const renderCustomizedLabelInner = ({ cx, cy, value, index }: any) => {
    const fillColor = "var(--gray-dark-65)";
    return (
        <g>
            <text x={cx} y={cy} dy={6} fill={fillColor} textAnchor={"middle"} fontSize={14}>
                {value}
            </text>
        </g>
    );
};
